Search:

# CWIS Developers Documentation

Public Member Functions | Static Public Member Functions

# SPTSearchEngine Class Reference

Collaboration diagram for SPTSearchEngine:
[legend]

## Public Member Functions
| SPTSearchEngine ()
| GetFieldContent ($ItemId, $FieldName)
| SearchFieldForPhrases ($FieldName, $Phrase)
| SearchFieldsForComparisonMatches ($FieldNames, $Operators, $Values)
| GetItemIdsSortedByField ($FieldName, $SortDescending)
| QueueUpdateForItem ($ItemId, $Priority=ApplicationFramework::PRIORITY_LOW)
| UpdateForResource ($ItemId)
## Static Public Member Functions
static | RunUpdateForItem ($ItemId)

List of all members.

## Detailed Description

Definition at line 17 of file SPTSearchEngine.php.

Inheritance diagram for SPTSearchEngine:
[legend]

## Member Function Documentation

SPTSearchEngine::GetFieldContent | ( | $ | ItemId,
|  | $ | FieldName
| ) |  |

Reimplemented from SearchEngine.

Definition at line 79 of file SPTSearchEngine.php.

SPTSearchEngine::GetItemIdsSortedByField | ( | $ | FieldName,
|  | $ | SortDescending
| ) |  |

Definition at line 517 of file SPTSearchEngine.php.

SPTSearchEngine::QueueUpdateForItem | ( | $ | ItemId,
|  | $ | Priority = `ApplicationFramework::PRIORITY_LOW`
| ) |  |

Definition at line 523 of file SPTSearchEngine.php.

static SPTSearchEngine::RunUpdateForItem | ( | $ | ItemId ) | `[static]`

Definition at line 531 of file SPTSearchEngine.php.

References SPTSearchEngine().

SPTSearchEngine::SearchFieldForPhrases | ( | $ | FieldName,
|  | $ | Phrase
| ) |  |

Reimplemented from SearchEngine.

Definition at line 89 of file SPTSearchEngine.php.

References SearchEngine::DebugLevel(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_FILE, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_IMAGE, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, MetadataSchema::MDFTYPE_TREE, MetadataSchema::MDFTYPE_URL, and MetadataSchema::MDFTYPE_USER.

SPTSearchEngine::SearchFieldsForComparisonMatches | ( | $ | FieldNames,
|  | $ | Operators,
|  | $ | Values
| ) |  |

Definition at line 219 of file SPTSearchEngine.php.

References SearchEngine::DebugLevel(), SearchEngine::DefaultSearchLogic(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_FILE, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_IMAGE, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, MetadataSchema::MDFTYPE_TREE, MetadataSchema::MDFTYPE_URL, MetadataSchema::MDFTYPE_USER, and SearchEngine::SEARCHLOGIC_AND.

SPTSearchEngine::SPTSearchEngine | ( | ) |

Definition at line 19 of file SPTSearchEngine.php.

References SearchEngine::$DB, SearchEngine::AddField(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_FILE, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_IMAGE, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_POINT, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, MetadataSchema::MDFTYPE_TREE, MetadataSchema::MDFTYPE_URL, MetadataSchema::MDFTYPE_USER, SearchEngine::SearchEngine(), SearchEngine::SEARCHFIELD_DATE, SearchEngine::SEARCHFIELD_DATERANGE, SearchEngine::SEARCHFIELD_NUMERIC, and SearchEngine::SEARCHFIELD_TEXT.

Referenced by RunUpdateForItem().

Here is the caller graph for this function:

SPTSearchEngine::UpdateForResource | ( | $ | ItemId ) |

Definition at line 545 of file SPTSearchEngine.php.

References SearchEngine::UpdateForItem().

The documentation for this class was generated from the following file:

- SPTSearchEngine.php